# Method getpwuid()

Method getpwuid

  ``array`(`int`|`string`) getpwuid(`int` `uid`)`

Description

  Get the user entry for UID `uid` using the systemfunction `getpwuid(3)`.

Parameter `uid`

  The uid of the user whos userrecord is requested.

Returns

  An array with the information about the user

  Array
  ``string` `0`` | Users username (loginname)
  ``string` `1`` | User password (encrypted)
  ``int` `2`` | Users ID
  ``int` `3`` | Users primary group ID
  ``string` `4`` | Users real name an possibly some other info
  ``string` `5`` | Users home directory
  ``string` `6`` | Users shell

See also

  getpwnam() `getpwent()`